/**
 * ATTT
 * (c) Kenta Cho (cs8k-cyu@asahi-net.or.jp)
 * http://www.asahi-net.or.jp/~cs8k-cyu/
 *
 * attt.h(header file)
 */

#include <PalmOS.h>
#include "attt_rsc.h"

#define TRUE 1
#define FALSE 0
#define randomize() SysRandom(TimGetTicks())
#define randN(N) ((((long) SysRandom(0)) * N) / ((long) sysRandomMax + 1))

/* trifunc */
extern int sintbl[], costbl[];
extern int getDeg(int, int);

/* displaymanager */
#define SCREEN_WIDTH 160
#define SCREEN_HEIGHT 160

extern BitmapPtr objectBitmapPtr[];
extern UInt8 ptn[];

typedef struct {
  int x, y;
} Pos;

extern WinHandle screenBufferH;
extern RectangleType sourceBounds;

/* gamemanager */
#define INTERVAL 5

typedef struct {
  int x, y;
  int mx, my;
  int cnt;
  int spc;
} MoveLetter;

typedef struct {
  int x, y, px, py;
  int mx, my;
} Blood;

typedef struct {
  int hitArea[50];
  int handPoint[50];
  int handLineCnt[30];
  int handClsCnt[50];
} StageData;

#define TITLE 0
#define READY 1
#define GAME_IN_PROGRESS 2
#define MISS 3
#define TIMEUP 4

typedef struct {
  int status;
  int cnt;
} GameStatus;

void initGame();
void startGame();
void handleGameStatus();
